@import '../../styles/mixins.scss';
@import '../../styles/variables.scss';

.filter {
  background-color: $bg-white;
  padding: 10px 10px 22px 10px;
  width: 100%;

  &__input-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    &--reset {
      align-items: center;
      margin-top: 5px;
      justify-content: flex-start;
    }
  }

  &__input-group-price {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  &__input-price {
    width: 30%;
    margin-right: 5px;
  }

  &__select-type {
    flex: 2;
  }

  &__btn {
    width: 20%;

    @media (max-width: $small) {
      width: 30%;
    }

    @media (max-width: $mobile) {
      width: 40%;
    }
  }

  &__basement {
    display: flex;
    align-items: center;
    margin-top: 10px;
  }

  &__reset {
    background-color: Transparent;
    background-repeat: no-repeat;
    border: none;
    cursor: pointer;
    overflow: hidden;
    color: $blue;
    @include main-font-12-normal($text-blue);
    line-height: 18px;
    margin-top: 5px;

    &::before {
      content: '';
      background-image: url('/assets/svg/filter-reset.svg');
      background-size: cover;
      height: 7px;
      width: 7px;
      margin-right: 7px;
      display: inline-block;
    }
  }
}
